#
# Conditional build:
%bcond_without	curl		# Use cURL for HTTP
%bcond_without	kerberos5	# GSSAPI for SPNEGO auth
%bcond_without	libssh		# SSH support via libssh2
%bcond_without	tests		# build without tests

Summary:	C Git library
Summary(pl.UTF-8):	Biblioteka Git dla C
Name:		libgit2
Version:	0.28.3
Release:	1
License:	GPL v2 with linking exception
Group:		Libraries
#Source0Download: https://github.com/libgit2/libgit2/releases
Source0:	https://github.com/libgit2/libgit2/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	f9f2a2a2da09b4cdb8b1a596eb799179
Patch0:		%{name}-no-libgit2-test.patch
URL:		http://libgit2.github.com/
BuildRequires:	cmake >= 3.0
%{?with_curl:BuildRequires:	curl-devel}
%{?with_kerberos5:BuildRequires:	heimdal-devel}
BuildRequires:	http-parser-devel >= 2
%{?with_libssh:BuildRequires:	libssh2-devel}
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
%{?with_tests:BuildRequires:	python}
BuildRequires:	rpmbuild(macros) >= 1.742
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libgit2 is a portable, pure C implementation of the Git core methods
provided as a re-entrant linkable library with a solid API, allowing
you to write native speed custom Git applications in any language with
bindings.

%description -l pl.UTF-8
libgit2 to przenośna implementacja w czystym C głównych metod Gita,
udostępniona jako bezpieczna dla wątków biblioteka ze stałym API,
pozwalająca na pisanie własnych aplikacji dla Gita o natywnej
szybkości w dowolnym języku posiadającym odpowiednie wiązania.

%package devel
Summary:	Header files for libgit2 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libgit2
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	http-parser-devel
Requires:	libssh2-devel
Requires:	openssl-devel
Requires:	zlib-devel

%description devel
Header files for libgit2 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libgit2.

%prep
%setup -q
%patch0 -p1

# Don't test network
sed -i '/ADD_TEST(online/s/^/#/' tests/CMakeLists.txt

%build
install -d build
cd build
# CMakeLists.txt supports only relative LIB_INSTALL_DIR and INCLUDE_INSTALL_DIR
# (otherwise .pc file is generated incorrectly).
# Type (:PATH or :STRING) must be specified explicitly to avoid expansion
# relative to cwd.
%cmake .. \
	-DINCLUDE_INSTALL_DIR:PATH=include \
	-DLIB_INSTALL_DIR:PATH=%{_lib} \
	%{cmake_on_off tests BUILD_CLAR} \
	%{cmake_on_off curl CURL} \
	%{cmake_on_off kerberos5 USE_GSSAPI} \
	%{cmake_on_off libssh USE_SSH} \
	-DTHREADSAFE:BOOL=ON
%{__make}

%{?with_tests:%{__make} test ARGS="-V"}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS docs/contributing.md COPYING README.md
%attr(755,root,root) %{_libdir}/libgit2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgit2.so.28

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgit2.so
%{_includedir}/git2.h
%{_includedir}/git2
%{_pkgconfigdir}/libgit2.pc
%changelog
* Sat Sep 21 2019 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/libgit2.git;a=log;h=master

* Sat Sep 07 2019 Jan Palus <atler@pld-linux.org> 5228328
- up to 0.28.3

* Thu Jul 25 2019 Jan Palus <atler@pld-linux.org> c2bb0da
- disable online tests with workaround from fedora; rel 2

* Thu May 23 2019 Jan Palus <atler@pld-linux.org> 76a2bda
- up to 0.28.2 (new soname)

* Sun Mar 24 2019 Adam Gołębiowski <adamg@pld-linux.org> 3bd4ac3
- switch to system cmake_on_off macro, BR: rpmbuild(macros) >= 1.742

* Mon Sep 17 2018 Jan Palus <atler@pld-linux.org> 28a84a4
- adjust online tests workaround; rel 4

* Mon Sep 17 2018 Jan Palus <atler@pld-linux.org> 75e71b8
- drop tests_online bcond (ONLINE_TESTS option was removed)

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 2e80648
- release 3 (by relup.sh)

* Fri Sep 14 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 1eff674
- release 2 (by relup.sh)

* Sun Sep 09 2018 Adam Osuchowski <adwol@pld-linux.org> 38791c4
- up to 0.27.4

* Wed Nov 22 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 915109a
- up to 0.26.0

* Tue Mar 28 2017 Jan Rękorajski <baggins@pld-linux.org> 5e9bfa2
- up to 0.25.1

* Sun Feb 12 2017 Jakub Bogusz <qboosh@pld-linux.org> bab97d7
- updated to 0.24.6 (security fixes)

* Wed Dec 07 2016 Jakub Bogusz <qboosh@pld-linux.org> d90d3c8
- updated to 0.24.3

* Fri Jun 24 2016 Jakub Bogusz <qboosh@pld-linux.org> ce3c808
- updated to 0.24.1, fixed cmake options

* Fri May 27 2016 Elan Ruusamäe <glen@delfi.ee> 281d638
- disable "Build Tests using the Clar suite" when not running tests

* Fri May 27 2016 Elan Ruusamäe <glen@delfi.ee> f967805
- add curl,libssh bconds

* Sat Mar 19 2016 Elan Ruusamäe <glen@delfi.ee> bed40d5
- up to 0.24.0, SONAME change

* Sun Dec 13 2015 Jakub Bogusz <qboosh@pld-linux.org> a648c11
- updated to 0.23.4

* Sun Oct 18 2015 Jakub Bogusz <qboosh@pld-linux.org> 5a6c8e5
- updated to 0.23.3
- update test-online patch

* Sat May 09 2015 Jakub Bogusz <qboosh@pld-linux.org> 3f3bb02
- updated to 0.22.2

